jQuery(document).ready(function ($) {
    $('form#recaptcha').on('submit', function (event) {
        event.stopImmediatePropagation();
        event.stopPropagation();
        jQuery.post(jQuery(this).attr('action'), jQuery(this).serialize(), function (response) {

            data = JSON.parse(response);
            if (false === data.valid) {
                data.message.every(function (d) {
                    UIkit.notify('<i class="uk-icon-medium uk-icon-frown-o uk-icon-justify"></i>  ' + d, {
                        pos: 'bottom-center',
                        status: 'danger'
                    });
                })
            } else if (true === data.valid) {
                var divRoot = jQuery('<div />'),
                 h1 = jQuery('<h1 />'),
                 href = jQuery('<a />'),
                 phone = jQuery('.hidden-phone');
                 href
                    .attr('href', 'tel:' + data.message.phone)
                    .text(data.message.phone);

                h1.append(href);

                phone.attr('href', 'tel:' + data.message.phone);
                phone.text(data.message.phone);
                divRoot.append(h1);
                jQuery('#recaptcha-wrapper').replaceWith(divRoot);
            }
        });
    });
});